export const DEEPL_SOURCE_LANGUAGES = [
  { key: 'AR', language: 'Arabic', name: '阿拉伯语' },
  { key: 'BG', language: 'Bulgarian', name: '保加利亚语' },
  { key: 'CS', language: 'Czech', name: '捷克语' },
  { key: 'DA', language: 'Danish', name: '丹麦语' },
  { key: 'DE', language: 'German', name: '德语' },
  { key: 'EL', language: 'Greek', name: '希腊语' },
  { key: 'EN', language: 'English', name: '英语' },
  { key: 'ES', language: 'Spanish', name: '西班牙语' },
  { key: 'ET', language: 'Estonian', name: '爱沙尼亚语' },
  { key: 'FI', language: 'Finnish', name: '芬兰语' },
  { key: 'FR', language: 'French', name: '法语' },
  { key: 'HU', language: 'Hungarian', name: '匈牙利语' },
  { key: 'ID', language: 'Indonesian', name: '印度尼西亚语' },
  { key: 'IT', language: 'Italian', name: '意大利语' },
  { key: 'JA', language: 'Japanese', name: '日语' },
  { key: 'KO', language: 'Korean', name: '韩语' },
  { key: 'LT', language: 'Lithuanian', name: '立陶宛语' },
  { key: 'LV', language: 'Latvian', name: '拉脱维亚语' },
  { key: 'NB', language: 'Norwegian Bokmål', name: '挪威语' },
  { key: 'NL', language: 'Dutch', name: '荷兰语' },
  { key: 'PL', language: 'Polish', name: '波兰语' },
  { key: 'PT', language: 'Portuguese', name: '葡萄牙语' },
  { key: 'RO', language: 'Romanian', name: '罗马尼亚语' },
  { key: 'RU', language: 'Russian', name: '俄语' },
  { key: 'SK', language: 'Slovak', name: '斯洛伐克语' },
  { key: 'SL', language: 'Slovenian', name: '斯洛文尼亚语' },
  { key: 'SV', language: 'Swedish', name: '瑞典语' },
  { key: 'TR', language: 'Turkish', name: '土耳其语' },
  { key: 'UK', language: 'Ukrainian', name: '乌克兰语' },
  { key: 'ZH', language: 'Chinese', name: '中文' },
];

export const DEEPL_TARGET_LANGUAGES = [
  { key: 'AR', language: 'Arabic', name: '阿拉伯语' },
  { key: 'BG', language: 'Bulgarian', name: '保加利亚语' },
  { key: 'CS', language: 'Czech', name: '捷克语' },
  { key: 'DA', language: 'Danish', name: '丹麦语' },
  { key: 'DE', language: 'German', name: '德语' },
  { key: 'EL', language: 'Greek', name: '希腊语' },
  { key: 'EN', language: 'English', name: '英语' },
  //   { key: 'EN-GB', language: 'English (British)', name: '英语（英式）' },
  //   { key: 'EN-US', language: 'English (American)', name: '英语（美式）' },
  { key: 'ES', language: 'Spanish', name: '西班牙语' },
  { key: 'ET', language: 'Estonian', name: '爱沙尼亚语' },
  { key: 'FI', language: 'Finnish', name: '芬兰语' },
  { key: 'FR', language: 'French', name: '法语' },
  { key: 'HU', language: 'Hungarian', name: '匈牙利语' },
  { key: 'ID', language: 'Indonesian', name: '印度尼西亚语' },
  { key: 'IT', language: 'Italian', name: '意大利语' },
  { key: 'JA', language: 'Japanese', name: '日语' },
  { key: 'KO', language: 'Korean', name: '韩语' },
  { key: 'LT', language: 'Lithuanian', name: '立陶宛语' },
  { key: 'LV', language: 'Latvian', name: '拉脱维亚语' },
  { key: 'NB', language: 'Norwegian Bokmål', name: '挪威语' },
  { key: 'NL', language: 'Dutch', name: '荷兰语' },
  { key: 'PL', language: 'Polish', name: '波兰语' },
  { key: 'PT', language: 'Portuguese', name: '葡萄牙语' },
  { key: 'RO', language: 'Romanian', name: '罗马尼亚语' },
  { key: 'RU', language: 'Russian', name: '俄语' },
  { key: 'SK', language: 'Slovak', name: '斯洛伐克语' },
  { key: 'SL', language: 'Slovenian', name: '斯洛文尼亚语' },
  { key: 'SV', language: 'Swedish', name: '瑞典语' },
  { key: 'TR', language: 'Turkish', name: '土耳其语' },
  { key: 'UK', language: 'Ukrainian', name: '乌克兰语' },
  { key: 'ZH', language: 'Chinese', name: '中文' },
  //   { key: 'ZH-HANS', language: 'Chinese (simplified)', name: '中文（简体）' },
  //   { key: 'ZH-HANT', language: 'Chinese (traditional)', name: '中文（繁体）' },
];

// 支持的语言
export enum SupportLanguages {
  AR = 'AR',
  BG = 'BG',
  CS = 'CS',
  DA = 'DA',
  DE = 'DE',
  EL = 'EL',
  EN = 'EN',
  ES = 'ES',
  ET = 'ET',
  FI = 'FI',
  FR = 'FR',
  HU = 'HU',
  ID = 'ID',
  IT = 'IT',
  JA = 'JA',
  KO = 'KO',
  LT = 'LT',
  LV = 'LV',
  NB = 'NB',
  NL = 'NL',
  PL = 'PL',
  PT = 'PT',
  RO = 'RO',
  RU = 'RU',
  SK = 'SK',
  SL = 'SL',
  SV = 'SV',
  TR = 'TR',
  UK = 'UK',
  ZH = 'ZH',
}
